Bug 974840 - golang-1.1.1-1.fc19 update fails due to conflicts
golang-1.1.1-1.fc19 update fails due to conflicts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Goode
Fedora Extras Quality Assurance
:
Depends On: 447156 975909
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 07:56 EDT by T.C. Hollingsworth
Modified: 2013-07-23 23:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: golang-1.1.1-5.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum output indicating errors (359.05 KB, text/plain)
2013-06-16 07:56 EDT, T.C. Hollingsworth
no flags Details

  None (edit)
Description T.C. Hollingsworth 2013-06-16 07:56:41 EDT
Created attachment 761827 [details]
yum output indicating errors

Everything under %{_libdir}/golang/src is conflicting between golang and golang-data with the 1.1.1-1 update.

I'm guessing you forgot to remove something from the main package's %files when you split off the -data subpackage?  :-)
Comment 1 T.C. Hollingsworth 2013-06-16 08:20:48 EDT
Now that I look more closely I see my initial guess was incorrect.  RPM loses its mind when you try to replace a directory with a symlink (or vice versa).  See bug 447156 (and it's cousin bug 646523) for all the gory details.

You'll need to `rm -rf` any old directories being replaced by symlinks in %pretrans to stop upgrades from blowing up; something like this:
http://pkgs.fedoraproject.org/cgit/groff.git/commit/?id=036f949b899bb5d933e38760bf36995ca47df847
Comment 2 Adam Goode 2013-06-16 12:57:50 EDT
Oh dear. Thanks for pointing this out.
Comment 3 Adam Goode 2013-06-17 00:37:39 EDT
Building a new package, this should be fixed for Fedora <19. >=19 is dependent on #447156, which I reopened.
Comment 4 Fedora Update System 2013-06-17 01:00:07 EDT
golang-1.1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/golang-1.1.1-2.fc17
Comment 5 Fedora Update System 2013-06-17 01:00:37 EDT
golang-1.1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/golang-1.1.1-2.fc18
Comment 6 Fedora Update System 2013-06-17 01:00:54 EDT
golang-1.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.1.1-2.fc19
Comment 7 Fedora Update System 2013-06-17 13:03:05 EDT
Package golang-1.1.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-1.1.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11056/golang-1.1.1-2.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-06-19 11:45:00 EDT
golang-1.1.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.1.1-3.fc19
Comment 9 Fedora Update System 2013-06-19 11:45:22 EDT
golang-1.1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/golang-1.1.1-3.fc18
Comment 10 Fedora Update System 2013-06-19 11:45:38 EDT
golang-1.1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/golang-1.1.1-3.fc17
Comment 11 Fedora Update System 2013-07-05 00:27:41 EDT
golang-1.1.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/golang-1.1.1-4.fc18
Comment 12 Fedora Update System 2013-07-05 00:28:05 EDT
golang-1.1.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/golang-1.1.1-4.fc17
Comment 13 Fedora Update System 2013-07-05 00:28:29 EDT
golang-1.1.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.1.1-4.fc19
Comment 14 Fedora Update System 2013-07-10 02:23:03 EDT
golang-1.1.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/golang-1.1.1-5.fc18
Comment 15 Fedora Update System 2013-07-10 02:23:28 EDT
golang-1.1.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/golang-1.1.1-5.fc17
Comment 16 Fedora Update System 2013-07-10 02:23:47 EDT
golang-1.1.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.1.1-5.fc19
Comment 17 Fedora Update System 2013-07-23 23:25:43 EDT
golang-1.1.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-07-23 23:34:57 EDT
golang-1.1.1-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-07-23 23:41:55 EDT
golang-1.1.1-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.